This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 796445 - httpry 0.1.5-3 not built with $RPM_{OPT,LD}_FLAGS
httpry 0.1.5-3 not built with $RPM_{OPT,LD}_FLAGS
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: httpry (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Major Hayden
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: DebugInfo
  Show dependency treegraph
 
Reported: 2012-02-22 16:45 EST by Ville Skyttä
Modified: 2012-03-15 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: httpry-0.1.5-4.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 15:25:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Build with $RPM_{OPT,LD}_FLAGS (496 bytes, patch)
2012-02-22 16:45 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2012-02-22 16:45:08 EST
Created attachment 565111 [details]
Build with $RPM_{OPT,LD}_FLAGS

From bug 716580 comment 4:

> - Complier flags are not honoured
>   https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags

$RPM_OPT_FLAGS are still not used in 0.1.5-3.  Fix attached (also adds use of $RPM_LD_FLAGS).

BTW, the specfile should be named simply httpry.spec, not httpry-x.x.x.spec.
Comment 1 Fedora Update System 2012-02-27 09:01:46 EST
httpry-0.1.5-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/httpry-0.1.5-4.el6
Comment 2 Fedora Update System 2012-02-27 09:02:42 EST
httpry-0.1.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/httpry-0.1.5-4.fc15
Comment 3 Fedora Update System 2012-02-27 09:03:46 EST
httpry-0.1.5-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/httpry-0.1.5-4.fc16
Comment 4 Fedora Update System 2012-02-27 09:04:34 EST
httpry-0.1.5-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/httpry-0.1.5-4.fc17
Comment 5 Major Hayden 2012-02-27 09:05:23 EST
Ville - 

Thanks for catching that. I don't think I grabbed the correct spec file when I submitted the first RPM.
Comment 6 Fedora Update System 2012-02-27 17:29:00 EST
Package httpry-0.1.5-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing httpry-0.1.5-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2487/httpry-0.1.5-4.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-03-06 15:25:33 EST
httpry-0.1.5-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-03-07 22:55:13 EST
httpry-0.1.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-03-07 23:53:15 EST
httpry-0.1.5-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-03-07 23:54:49 EST
httpry-0.1.5-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-03-15 15:54:39 EDT
httpry-0.1.5-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.